import React, { HTMLProps, InputHTMLAttributes } from "react";
import "./styles.scss";
export declare const EventBusFocusName = "DP_FOCUS_INPUT";
export interface IWrapBlockProps extends HTMLProps<HTMLDivElement> {
    isActive?: boolean;
}
export interface IFocusInputProps extends InputHTMLAttributes<HTMLInputElement> {
    appendOverlay?: boolean;
    initFocused?: boolean;
    isToggleFocused?: boolean;
    alwaysHidden?: boolean;
    setToggleFocused?: (value: boolean) => void;
}
export declare const WrapBlockOverlay: React.FC<IWrapBlockProps>;
declare const FocusInput: React.ForwardRefExoticComponent<IFocusInputProps & {
    children?: React.ReactNode;
} & React.RefAttributes<HTMLInputElement>>;
export default FocusInput;
