<div align="center">
    <h1>react-focus-input-z</h1>
    <a href="https://github.com/delpikye-v/react-focus-input">react-focus-input-z</a>
    <br />
    <br />
    <b><a href="https://codesandbox.io/s/3blvo9">LIVE EXAMPLE</a></b>
</div>

---

#### Description

+ Hightlight input-text when focus

---
### Usage

Install the package

```js
npm install --save react-focus-input-z
```

Import the module in the place you want to use:
```js
import "react-focus-input-z/build/styles.css";
import FocusInput from "react-focus-input-z";
```

#### Snippet
```js
    const [value, setValue] = useState("");
    <FocusInput value={value} onChange={evt => setValue(evt.target.value)} />
```
---

#### props

see <b>index.d.ts</b>

HtmlInput

<br />

#### RUN

<b><a href="https://codesandbox.io/u/delpi.k">LIVE EXAMPLE</a></b>

<br />

##### version
1.2.0-np
<br />

### License

MIT